<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 31.10</title>
</head>
<style>
    .div-background-picture {
        background-image: url("images/signup-bg.jpg");
        height: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 0.8;
    }
</style>
<script>
    $(document).ready(function () {
        $("#btn-sign-up").on("click", function (event) {
            event.preventDefault();
            onBtnSignUpClick();
        })
    })

    function onBtnSignUpClick() {
        var vForm = {
            yourName: "",
            yourEmail: "",
            password: "",
            repeatPassword: "",
            iAgree: false

        }
        getData(vForm)
        var isCheck =  validateData(vForm)
        if(isCheck){
            showData(vForm)
        }
    }

    function getData(paramData) {
        paramData.yourName = $("#inp-name").val();
        paramData.yourEmail = $("#inp-email").val();
        paramData.password = $("#inp-password").val();
        paramData.repeatPassword = $("#inp-confirm-password").val();
        paramData.iAgree = $("#i-accept").is(":checked");
    }
    function validateData(paramData) {
        if (paramData.yourName == "") {
            alert("Hãy nhập YourName")
            return false
        }
        if (checkEmail(paramData.yourEmail) == false) {

            return false
        }

        if (paramData.password == "") {
            alert("Hãy nhập Password")
            return false
        }
        if (paramData.password.length < 8) {
            alert("Email phải chứa 8 ký tự")
            return false
        }
        if (paramData.repeatPassword == "") {
            alert("Hãy nhập Confirm Password")
            return false
        }
        if (paramData.password != paramData.repeatPassword) {
            alert("Password không khớp. Hãy kiểm tra lại")
            return false
        }

        return true
    }
    function checkEmail(paramEmail) {
        if (paramEmail == "") {
            alert("Hãy nhập Email")
            return false
        }
        if (paramEmail.indexOf("@") == -1) {
            alert("Email phải chứa @")
            return false
        }
        if (paramEmail.indexOf(".") == -1) {
            alert("Email phải chứa ít nhất một dấu '.'")
            return false
        }
        if (paramEmail.startsWith("@") === true) {
            alert("Email không bắt đầu bằng @");
            return false;
        }
        if (paramEmail.endsWith("@") === true) {
            alert("Email kết thúc bằng @");
            return false;
        }
        return true
    }
    function showData(paramData){
        console.log(paramData)
    }
</script>

<body>
    <div class="container-fluid div-background-picture">
        <form>
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-5 mx-auto my-0 jumbotron bg-white">
                    <div class="mb-5">
                        <h4 class="text-center"> <b>CREATE ACCOUNT </b></h4>
                    </div>

                    <div>
                        <div class="form-group">
                            <input type="text" name="username" placeholder="Your Name" id="inp-name"
                                class="form-control" value="" autocomplete="username">
                        </div>
                        <div class="form-group">
                            <input type="text" name="email" placeholder="Your Email" id="inp-email"
                                class="form-control">
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" id="inp-password" placeholder="Password"
                                class="form-control">
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" id="inp-confirm-password"
                                placeholder="Repeat Your Password" class="form-control">
                        </div>
                        <div class="form-group form-check">
                            <input class="form-check-input" type="checkbox" name="rememberusername" id="i-accept">
                            <label class="form-check-label" for="rememberusername">I agree statements in</label>
                            <a class="text-dark" href="#">Terms of service</a>

                        </div>
                        <div class="form-group mt-4">
                            <button id="btn-sign-up" type="submit" class="btn btn-log btn-block btn-success">Sign
                                up</button>
                        </div>
                    </div>

                    <div class="text-center mt-5">Have alreadly an account ?
                        <a class=" text-dark" href="#"> <b>Login in</a></b>
                    </div>
                </div>
            </div>
        </form>
    </div>
</body>

</html>